#!/bin/sh

. #ENVPT3#/bin/protopenv

MNAME="logmon"

TMPDIR=${TMPDIR-/tmp}
LOGDIR=${LOGDIR-/tmp}

cd ${PROTOP}

if [ ! -d ${TMPDIR} ]
then
        mkdir ${TMPDIR}
fi

if [ ! -d ${LOGDIR} ]
then
        mkdir ${LOGDIR}
fi

# are we already running?
#

X=`ps -ef | grep "util/logmon.p " | grep _progres | grep "param ${CUSTID} "`

# launch if we are not already running
#

if [ -z "${X}" ]
then
	$DLC/bin/_progres -b -p util/${MNAME}.p -1 ${PFLIST} -T ${TMPDIR} ${ERRSTACK} -clientlog ${TMPDIR}/${MNAME}.debug >> ${TMPDIR}/${MNAME}.err 2>&1 &
fi
